std::negate< _Tp >(3)

NAME
std::negate< _Tp > - One of the math functors.

SYNOPSIS

#include <functional>

Inherits std::unary_function< _Tp, _Tp >.

  Public Types
typedef _Tp argument_type
argument_type is the type of the argument
typedef _Tp result_type
result_type is the return type

  Public Member Functions
constexpr _Tp operator() (const _Tp &__x) const

Detailed Description

  template<typename _Tp>
struct std::negate< _Tp >"One of the math functors.

Member Typedef Documentation

  typedef _Tp std::unary_function< _Tp , _Tp >::argument_type [inherited]

argument_type is the type of the argument

  typedef _Tp std::unary_function< _Tp , _Tp >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.